GWT 2.7.0

## com.google.gwt.editor.client
Class EditorVisitor

    java.lang.Object
      com.google.gwt.editor.client.EditorVisitor

Direct Known Subclasses:
  EditorHierarchyPrinter

    public class EditorVisitor

extends java.lang.Object

A visitor for examining an Editor hierarchy.

Constructor Summary
`EditorVisitor()`

Method Summary

`

`<T> void`

`

`endVisit(EditorContext<T> ctx)`
Exit an Editor.

`

`<T> boolean`

`

`visit(EditorContext<T> ctx)`
Receive an Editor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorVisitor

    public EditorVisitor()

Method Detail

### endVisit

    public <T> void endVisit(EditorContext<T> ctx)

  Exit an Editor. The default implementation is a no-op.

  Parameters:
    `ctx` - contextual data about the current Editor

### visit

    public <T> boolean visit(EditorContext<T> ctx)

  Receive an Editor. The default implementation always returns `true`.

  Parameters:
    `ctx` - contextual data about the current Editor
  Returns:
    `true` if the visitor should visit any sub-editors of the current editor.

GWT 2.7.0